textures/bus_ca1/bus_ca1_sky
{
	qer_editorimage textures/bus_ca1/bus_ca1_sky/clouds.tga
	q3map_lightmapFilterRadius 0 32
	q3map_sunExt 0.6784 .8 .8 300 -150 60 2 32
  q3map_lightImage textures/bus_ca1/sky_surfacelight.tga
	q3map_skyLight 256 3
	q3map_noFog
	q3map_globalTexture
  q3map_surfaceLight 300
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	skyparms - 500 -
	nopicmip
	{
		map textures/bus_ca1/bus_ca1_sky/clouds.tga
		tcMod scroll 0.0075 -0.0025 //0.0150 -0.0050
		tcmod scale 5 5
		//blendFunc blend
		rgbGen identityLighting
	}
	{
		map textures/bus_ca1/bus_ca1_sky/clouds2.tga
		tcMod scroll 0.015 -0.01 //0.03 -0.02
		blendFunc blend
		tcmod scale 3 3
		rgbGen identityLighting
		//rgbGen wave sin .1 .2 0 1
	}		

}
textures/bus_ca1/sun
{
	surfaceparm nonsolid	
  surfaceparm nomarks	
  surfaceparm nolightmap 
  surfaceparm trans
  sort 3    	     
        {
		clampmap textures/bus_ca1/bus_ca1_sky/sun.jpg
                tcmod rotate 10
                blendFunc add
                rgbGen identity
	}
}

textures/bus_ca1/light_3000
{
	qer_editorimage textures/bus_ca1/bus_light_01.tga
	q3map_lightimage textures/bus_ca1/lamp_color.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bus_ca1/bus_light_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bus_ca1/bus_light_02_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/bus_ca1/light_3000_2
{
	qer_editorimage textures/bus_ca1/bus_light_01.tga
	q3map_lightimage textures/bus_ca1/lamp_color.tga
	q3map_surfacelight 3000
  nopicmip
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bus_ca1/bus_light_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bus_ca1/bus_light_01.blend.tga
		blendfunc GL_ONE GL_ONE
	}
  {
		map textures/bus_ca1/bus_light_01.blend.tga
		blendfunc add                  
		rgbGen wave square 0.01 0.15 0 50
	}
}

textures/bus_ca1/light_broken
{
	qer_editorimage textures/bus_ca1/bus_light_01.tga
  nopicmip
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/bus_ca1/bus_light_01.tga
		rgbGen identity
	}
  {
		map textures/bus_ca1/bus_light_01.blend.tga
		blendfunc add                  
		rgbGen wave noise -4 5 0 50
	}
	{
		map textures/bus_ca1/ref_tile.jpg
		blendFunc add  		
		tcGen environment
		rgbGen identity
		tcmod scale 2 2       
	}
	{
		map textures/bus_ca1/bus_light_01_alpha.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

textures/bus_ca1/light_3000_3
{
	qer_editorimage textures/bus_ca1/bus_light_01.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bus_ca1/bus_light_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bus_ca1/bus_light_01.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/bus_ca1/lamp_dust
{
	qer_editorimage textures/bus_ca1/lamp_dust.tga
	qer_trans .5	
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
  nopicmip
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	{
		map textures/bus_ca1/lamp_dust.tga
		blendFunc add
    tcMod scroll 0.1 -
	}
}

textures/bus_ca1/light_10000
{
	qer_editorimage textures/bus_ca1/bus_light_01.tga
	q3map_lightimage textures/bus_ca1/lamp_color.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bus_ca1/bus_light_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bus_ca1/bus_light_01.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}  

textures/bus_ca1/lamp_small_brt
{
	surfaceparm nomarks	
	q3map_surfacelight 20000	
	{
		map textures/bus_ca1/lamp_small_brt.tga
	}
	{
		map textures/bus_ca1/lamp_small_brt_blend.tga
		blendfunc add 
		rgbGen wave noise 0.3 0.3 0 16
	}	 
}

textures/bus_ca1/lamp_fx1
{
	qer_editorimage textures/bus_ca1/lamp_small_brt.tga
	surfaceparm nomarks
	//q3map_surfacelight 1000
	{
		map textures/bus_ca1/lamp_small_drk.tga
	}
	{
		map textures/bus_ca1/lamp_small_brt.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_color
    rgbGen wave sin 0 1.1 0 0.7
	}    
		 
}

textures/bus_ca1/lamp_fx2
{
	qer_editorimage textures/bus_ca1/lamp_small_brt.tga
	surfaceparm nomarks
	//q3map_surfacelight 1000
	{
		map textures/bus_ca1/lamp_small_drk.tga
	}
	{
		map textures/bus_ca1/lamp_small_brt.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_color
    rgbGen wave sin 0 1.1 -0.1 0.7
	}    
		 
}

textures/bus_ca1/lamp_fx3
{
	qer_editorimage textures/bus_ca1/lamp_small_brt.tga
	surfaceparm nomarks
	//q3map_surfacelight 1000
	{
		map textures/bus_ca1/lamp_small_drk.tga
	}
	{
		map textures/bus_ca1/lamp_small_brt.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_color
    rgbGen wave sin 0 1.1 -0.2 0.7
	}    
		 
}

textures/bus_ca1/lamp_fx4
{
	qer_editorimage textures/bus_ca1/lamp_small_brt.tga
	surfaceparm nomarks
	//q3map_surfacelight 1000
	{
		map textures/bus_ca1/lamp_small_drk.tga
	}
	{
		map textures/bus_ca1/lamp_small_brt.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_color
    rgbGen wave sin 0 1.1 -0.3 0.7
	}    
		 
}

textures/bus_ca1/lamp_fx5
{
	qer_editorimage textures/bus_ca1/lamp_small_brt.tga
	surfaceparm nomarks
	//q3map_surfacelight 1000
	{
		map textures/bus_ca1/lamp_small_drk.tga
	}
	{
		map textures/bus_ca1/lamp_small_brt.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_color
    rgbGen wave sin 0 1.1 -0.4 0.7
	}    
		 
}

textures/bus_ca1/lamp_fx6
{
	qer_editorimage textures/bus_ca1/lamp_small_brt.tga
	surfaceparm nomarks
	//q3map_surfacelight 1000
	{
		map textures/bus_ca1/lamp_small_drk.tga
	}
	{
		map textures/bus_ca1/lamp_small_brt.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_color
    rgbGen wave sin 0 1.1 -0.5 0.7
	}    
		 
}

textures/bus_ca1/lamp_fx7
{
	qer_editorimage textures/bus_ca1/lamp_small_brt.tga
	surfaceparm nomarks
	//q3map_surfacelight 1000
	{
		map textures/bus_ca1/lamp_small_drk.tga
	}
	{
		map textures/bus_ca1/lamp_small_brt.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_color
    rgbGen wave sin 0 1.1 -0.6 0.7
	}    		 
}

textures/bus_ca1/lamp_fx8
{
	qer_editorimage textures/bus_ca1/lamp_small_brt.tga
	surfaceparm nomarks
	//q3map_surfacelight 1000
	{
		map textures/bus_ca1/lamp_small_drk.tga
	}
	{
		map textures/bus_ca1/lamp_small_brt.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_color
    rgbGen wave sin 0 1.1 -0.7 0.7
	}    		 
}

textures/bus_ca1/lamp_fx9
{
	qer_editorimage textures/bus_ca1/lamp_small_brt.tga
	surfaceparm nomarks
	//q3map_surfacelight 1000
	{
		map textures/bus_ca1/lamp_small_drk.tga
	}
	{
		map textures/bus_ca1/lamp_small_brt.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_color
    rgbGen wave sin 0 1.1 -0.8 0.7
	}    		 
}

textures/bus_ca1/lamp_fx10
{
	qer_editorimage textures/bus_ca1/lamp_small_brt.tga
	surfaceparm nomarks
	//q3map_surfacelight 1000
	{
		map textures/bus_ca1/lamp_small_drk.tga
	}
	{
		map textures/bus_ca1/lamp_small_brt.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_color
    rgbGen wave sin 0 1.1 -0.9 0.7
	}    		 
}

textures/bus_ca1/lamp_fx11
{
	qer_editorimage textures/bus_ca1/lamp_small_brt.tga
	surfaceparm nomarks
	//q3map_surfacelight 1000
	{
		map textures/bus_ca1/lamp_small_drk.tga
	}
	{
		map textures/bus_ca1/lamp_small_brt.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_color
    rgbGen wave sin 0 1.1 -1.0 0.7
	}    		 
}

textures/bus_ca1/lamp_fx12
{
	qer_editorimage textures/bus_ca1/lamp_small_brt.tga
	surfaceparm nomarks
	//q3map_surfacelight 1000
	{
		map textures/bus_ca1/lamp_small_drk.tga
	}
	{
		map textures/bus_ca1/lamp_small_brt.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_color
    rgbGen wave sin 0 1.1 -1.1 0.7
	}    		 
}

textures/bus_ca1/lamp_small_blue_brt
{
  q3map_lightImage textures/bus_ca1/cyan.jpg
	surfaceparm nomarks		
	q3map_surfacelight 30000	
	{
		map textures/bus_ca1/lamp_small_blue_brt.tga
	} 
}

textures/bus_ca1/lamp_small_red
{
  q3map_lightImage textures/bus_ca1/red.jpg	
	surfaceparm nomarks	
	q3map_surfacelight 16000	
	{
		map textures/bus_ca1/lamp_small_red.tga
	} 
}

textures/bus_ca1/lamp_small_dark
{
	qer_editorimage textures/bus_ca1/lamp_small_dark.tga
	q3map_vertexScale 1
	{
		map textures/bus_ca1/lamp_small_brt_blend.tga
    blendFunc blend
		rgbGen identity		
	}
}

textures/bus_ca1/tile_1
{
  qer_editorimage textures/bus_ca1/tile_1.tga    
	{
		map textures/bus_ca1/tile_1.tga
		rgbGen identity
	}
	{
		map textures/bus_ca1/ref_tile.jpg
		blendFunc add  		
		tcGen environment
		rgbGen identity
		tcmod scale 1 1       
	}
	{
		map textures/bus_ca1/tile_1.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

textures/bus_ca1/tile_1_cut
{
  qer_editorimage textures/bus_ca1/tile_1_cut.tga     
	q3map_shadeangle 100
	{
		map textures/bus_ca1/tile_1_cut.tga
		rgbGen identity
	}
	{
		map textures/bus_ca1/ref_tile.jpg
		blendFunc add  		
		tcGen environment
		rgbGen identity
		tcmod scale 1 1       
	}
	{
		map textures/bus_ca1/tile_1_cut.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

// PORTAL

textures/bus_ca1/hole
{
	qer_editorimage textures/bus_ca1/portal_concrete.jpg
  q3map_lightImage textures/bus_ca1/portalblue.jpg
	q3map_surfacelight -10000
	nopicmip
  {
      map textures/bus_ca1/portal_concrete.jpg
      tcMod rotate 5
  }
}

textures/bus_ca1/bus_portal_backlight
{
	qer_editorimage textures/bus_ca1/concrete_1_hq.tga
  q3map_lightImage textures/bus_ca1/lamp_small_brt.jpg
	surfaceparm nomarks		
	q3map_surfacelight 5000	
	{
		map textures/bus_ca1/concrete_1_hq.tga
	} 
}

textures/bus_ca1/bus_portal
{ 
	qer_editorimage textures/bus_ca1/bus_portal.tga
	qer_trans .5	
	surfaceparm nomarks
  surfaceparm trans
	surfaceparm nonsolid
	q3map_lightimage textures/bus_ca1/bus_portal.tga
	q3map_lightsubdivide 32
  sort additive	
	nopicmip	
        {	        
	        map textures/bus_ca1/bus_portal.tga
			blendFunc add
            tcmod rotate 30
		}
}

textures/bus_ca1/bus_portal2
{ 
	qer_editorimage textures/bus_ca1/bus_portal.tga
	qer_trans .5	
	surfaceparm nomarks
  surfaceparm trans
	surfaceparm nonsolid
	q3map_lightimage textures/bus_ca1/bus_portal.tga
	q3map_lightsubdivide 32
  sort additive	
	nopicmip	
  {	        
    map textures/bus_ca1/bus_portal.tga
    blendFunc add
    tcmod rotate 75
	}
}

textures/bus_ca1/concrete_1_hq_shade
{
	qer_editorimage textures/bus_ca1/concrete_1_hq.tga
	q3map_lightimage textures/bus_ca1/concrete_1_hq.tga
	q3map_nonplanar
	q3map_shadeangle 45
  nopicmip
	{
		map textures/bus_ca1/concrete_1_hq.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// MATERIAL

textures/bus_ca1/floral_trim_1
{    
	{
		map textures/bus_ca1/floral_trim_1.tga
		rgbGen identity
	}
	{
		map textures/bus_ca1/ref_tile.jpg
		blendFunc add  		
		tcGen environment
		rgbGen identity
		tcmod scale 1 1       
	}
	{
		map textures/bus_ca1/floral_trim_1.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

textures/bus_ca1/floral_trim_1_vert
{    
	{
		map textures/bus_ca1/floral_trim_1_vert.tga
		rgbGen identity
	}
	{
		map textures/bus_ca1/ref_tile.jpg
		blendFunc add  		
		tcGen environment
		rgbGen identity
		tcmod scale 1 1       
	}
	{
		map textures/bus_ca1/floral_trim_1_vert.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

textures/bus_ca1/mrc5_trim102
{    
	{
		map textures/bus_ca1/mrc5_trim102.tga
		rgbGen identity
	}
	{
		map textures/bus_ca1/ref_tile.jpg
		blendFunc add  		
		tcGen environment
		rgbGen identity
		tcmod scale 1 1       
	}
	{
		map textures/bus_ca1/mrc5_trim102.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

textures/bus_ca1/mrc5_trim108a
{    
	{
		map textures/bus_ca1/mrc5_trim108a.tga
		rgbGen identity
	}
	{
		map textures/bus_ca1/ref_tile.jpg
		blendFunc add  		
		tcGen environment
		rgbGen identity
		tcmod scale 1 1       
	}
	{
		map textures/bus_ca1/mrc5_trim108a.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

textures/bus_ca1/mrc5_trim104
{    
	{
		map textures/bus_ca1/mrc5_trim104.tga
		rgbGen identity
	}
	{
		map textures/bus_ca1/ref_tile.jpg
		blendFunc add  		
		tcGen environment
		rgbGen identity
		tcmod scale 1 1       
	}
	{
		map textures/bus_ca1/mrc5_trim104.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

textures/bus_ca1/mrc5_trim111
{    
	{
		map textures/bus_ca1/mrc5_trim111.tga
		rgbGen identity
	}
	{
		map textures/bus_ca1/ref_tile.jpg
		blendFunc add  		
		tcGen environment
		rgbGen identity
		tcmod scale 1 1       
	}
	{
		map textures/bus_ca1/mrc5_trim111.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

textures/bus_ca1/trim301_vert
{    
	{
		map textures/bus_ca1/trim301_vert.tga
		rgbGen identity
	}
	{
		map textures/bus_ca1/ref_tile.jpg
		blendFunc add  		
		tcGen environment
		rgbGen identity
		tcmod scale 1 1       
	}
	{
		map textures/bus_ca1/trim301_vert.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

textures/bus_ca1/mrc5_trim301
{    
	{
		map textures/bus_ca1/mrc5_trim301.tga
		rgbGen identity
	}
	{
		map textures/bus_ca1/ref_tile.jpg
		blendFunc add  		
		tcGen environment
		rgbGen identity
		tcmod scale 1 1       
	}
	{
		map textures/bus_ca1/mrc5_trim301.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

textures/bus_ca1/bus_floral_trim_1
{    
	{
		map textures/bus_ca1/bus_floral_trim_1.tga
		rgbGen identity
	}
	{
		map textures/bus_ca1/ref_tile.jpg
		blendFunc add  		
		tcGen environment
		rgbGen identity
		tcmod scale 1 1       
	}
	{
		map textures/bus_ca1/bus_floral_trim_1.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

textures/bus_ca1/bus_dust
{
	qer_editorimage textures/bus_ca1/bus_dust.tga
	qer_trans .5	
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
  nopicmip
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	{
		map textures/bus_ca1/bus_dust.tga
		blendFunc blend
    tcMod scroll .02 .02
	}
	{
		map textures/bus_ca1/bus_dust.tga
		blendFunc blend
    tcMod scroll -.02 -.02
	}
}

textures/bus_ca1/bus_dust2
{
	qer_editorimage textures/bus_ca1/bus_dust.tga
	qer_trans .5	
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
  nopicmip
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	{
		map textures/bus_ca1/bus_dust.tga
		blendFunc add
    tcMod scroll -.05 -.05
	}
}

textures/bus_ca1/bus_wall_4
{
	qer_editorimage textures/bus_ca1/bus_wall_4.tga
	q3map_lightimage textures/bus_ca1/green_basement.tga
	q3map_surfacelight 30
	{
		map $lightmap 
		rgbGen identity
	}
	{
		map textures/bus_ca1/bus_wall_4.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/bus_ca1/ramp_moss
{
	qer_editorimage textures/bus_ca1/concrete_2.tga
	q3map_lightimage textures/bus_ca1/green_basement.tga
	//q3map_surfacelight 60
	{
		map $lightmap 
		rgbGen identity
	}
	{
		map textures/bus_ca1/concrete_2.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/bus_ca1/flatmetal_nonsolid
{
	qer_editorimage textures/bus_ca1/mrc5_flatmetal101.tga
	surfaceparm nonsolid
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/bus_ca1/mrc5_flatmetal101.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/bus_ca1/trim_1
{
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid			
  nopicmip
	cull none
	{
		map textures/bus_ca1/trim_1.tga
		blendFunc blend
		rgbGen identity
	}
}

textures/bus_ca1/window_1
{
	qer_editorimage textures/bus_ca1/bus_window_hd_1x1.tga
  qer_trans .5
  surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
  surfaceparm nonsolid
  cull none
  nopicmip	
	{
		map textures/bus_ca1/bus_window_hd_1x1.tga
		blendFunc blend
		rgbGen identity
	}
}

textures/bus_ca1/window_2
{
	qer_editorimage textures/bus_ca1/bus_window_hd2_1x1.tga
  qer_trans .5
  surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
  surfaceparm nonsolid
  cull none
  nopicmip	
	{
		map textures/bus_ca1/bus_window_hd2_1x1.tga
		blendFunc blend
		rgbGen identity
	}
}

textures/bus_ca1/dome
{
    qer_editorimage textures/bus_ca1/bus_window_hd_2x1.tga
    qer_trans .5
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm nonsolid
    nopicmip
    q3map_backshader textures/bus_ca1/dome_back
    {
        map textures/bus_ca1/bus_window_hd_2x1.tga
        blendFunc blend
        rgbGen identity
    }
}

textures/bus_ca1/dome_back
{
    qer_editorimage textures/bus_ca1/bus_window_hd_2x1.tga
    qer_trans .5
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm nonsolid
    nopicmip
    sort 9
    {
        map textures/bus_ca1/bus_window_hd_2x1.tga
        blendFunc blend
        rgbGen identity
    }
}

textures/bus_ca1/dome2
{
	qer_editorimage textures/bus_ca1/bus_dome2.tga
	surfaceparm nolightmap
  surfaceparm nomarks
	surfaceparm trans
  surfaceparm nonsolid
  cull none
  nopicmip	
	{
		map textures/bus_ca1/bus_dome2.tga
		blendFunc blend
		rgbGen identity
	}
}

textures/bus_ca1/grass_drk
{
	qer_editorimage textures/bus_ca1/grass_sprite.tga
	q3map_lightimage textures/bus_ca1/grass_sprite.tga
	qer_trans 1
	qer_alphafunc greater 0.5	
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap	
	cull none
	deformVertexes wave 25 sin 0 2 0 0.1 
	{
		map textures/bus_ca1/grass_sprite.tga
		rgbGen const ( .12 .13 .14 )				
		depthWrite
		alphaFunc GE128		
	}	
}

textures/bus_ca1/grass_sun
{
	qer_editorimage textures/bus_ca1/grass_sprite.tga
	q3map_lightimage textures/bus_ca1/grass_sprite.tga
	qer_trans 1
	qer_alphafunc greater 0.5	
	q3map_vertexScale 2
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap	
	cull none
	deformVertexes wave 25 sin 0 2 0 0.1 
	{
		map textures/bus_ca1/grass_sprite.tga
		rgbGen const ( .36 .33 .23 )	//when I changed sky from 30 to 60 I changed this from .26 .24 .16				
		depthWrite
		alphaFunc GE128		
	}	
}

textures/bus_ca1/concrete_2_ref
{    
	qer_editorimage textures/bus_ca1/concrete_2.tga
	q3map_lightimage textures/bus_ca1/green_basement.tga
	q3map_surfacelight 30
	{
		map $lightmap
		rgbgen identity 
	}	
	{
		map textures/bus_ca1/concrete_2.tga
		rgbGen identity	
	}
	{
		map textures/bus_ca1/ref_water.jpg
		blendFunc add  		
		tcGen environment              
		rgbGen identity
		tcmod scale 2 2   
		//tcMod scroll .01 .25           
	}	
	{
		map textures/bus_ca1/concrete_2.tga
		blendFunc blend              
		rgbGen identity 		
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

textures/bus_ca1/metb
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/bus_ca1/metb.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/bus_ca1/tile_1
{    
	{
		map textures/bus_ca1/tile_1.tga
		rgbGen identity
	}
	{
		map textures/bus_ca1/ref_tile.jpg
		blendFunc add  		
		tcGen environment
		rgbGen identity
		tcmod scale 1 1       
	}
	{
		map textures/bus_ca1/tile_1.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

textures/bus_ca1/tile_1_cut
{    
	q3map_shadeangle 100
	{
		map textures/bus_ca1/tile_1_cut.tga
		rgbGen identity
	}
	{
		map textures/bus_ca1/ref_tile.jpg
		blendFunc add  		
		tcGen environment
		rgbGen identity
		tcmod scale 1 1       
	}
	{
		map textures/bus_ca1/tile_1_cut.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

textures/bus_ca1/window_1
{
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm noimpact	
	{
		map textures/bus_ca1/window_1.tga
		blendFunc blend
		rgbGen identity
	}
}

// Jumppad

textures/bus_ca1/jumppad
{
	surfaceparm nodamage
	qer_editorimage textures/bus_ca1/mrc5_jumppad_base.tga
	q3map_lightimage textures/bus_ca1/mrc5_jumppad_orangefx.tga	
	q3map_surfacelight 1000
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bus_ca1/mrc5_jumppad_base.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity	
	}
	{
		map textures/bus_ca1/mrc5_jumppad_orangefx.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0.7 -0.7 0.875 1.3	
	}

}

textures/bus_ca1/jump_fx1
{
	qer_editorimage textures/bus_ca1/jumppad_fx.jpg
	qer_trans .5	
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
  nopicmip
	deformvertexes move 0 0 80 sawtooth 0 1 0.875 1.3
	{
		clampmap textures/bus_ca1/jumppad_fx.jpg
		rgbGen wave sawtooth 1 -1 0.875 1.3
		blendfunc add
	}
}

textures/bus_ca1/jump_fx2
{
	qer_editorimage textures/bus_ca1/jumppad_fx.jpg
	qer_trans .5	
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	nopicmip
	deformvertexes move 0 0 40 sawtooth 0 1 .75 1.3
	{
		clampmap textures/bus_ca1/jumppad_fx.jpg
		rgbGen wave sawtooth 0.8 -1 .75 1.3
		blendfunc add
	}
}

textures/bus_ca1/jump_fx3
{
	qer_editorimage textures/bus_ca1/jumppad_fx.jpg
	qer_trans .5	
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	nopicmip
	deformvertexes move 0 0 20 sawtooth 0 1 .625 1.3
	{
		clampmap textures/bus_ca1/jumppad_fx.jpg
		rgbGen wave sawtooth 0.6 -1 .625 1.3
		blendfunc add
	}
}

textures/bus_ca1/jump_fx4
{
	qer_editorimage textures/bus_ca1/jumppad_fx.jpg
	qer_trans .5	
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	nopicmip
	deformvertexes move 0 0 10 sawtooth 0 1 .5 1.3
	{
		clampmap textures/bus_ca1/jumppad_fx.jpg
		rgbGen wave sawtooth 0.4 -1 .5 1.3
		blendfunc add
	}
}

textures/bus_ca1/water
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans 0.5
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	q3map_globaltexture
	cull disable
	deformVertexes wave 64 sin 0.15 0.15 0 0.3
	sort 8
	{ 
		map textures/bus_ca1/water_dirt.tga
		blendFunc add
		rgbgen identity	
		tcmod scroll -0.025 0.01
	}
	{ 
		map textures/liquids/pool3d_5e.tga
		blendFunc gl_dst_color gl_one
		tcmod scale 0.5 0.5
		tcmod scroll 0.025 -0.025
	}
	{ 
		map textures/bus_ca1/water_ripple_1.tga
		blendFunc gl_dst_color gl_one
		tcmod scale 0.5 0.5
    tcMod turb 0 0.03 0.3 0.1
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity		
	}
}

textures/bus_ca1/fog
{
		qer_editorimage textures/sfx/fog_yel.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( .3 .3 .15 ) 3000
}

textures/bus_ca1/moats2
	{
	qer_alphafunc greater 0.5
	qer_trans 0.99	
	qer_editorimage textures/bus_ca1/particles2.tga
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip	
	cull none
	deformVertexes bulge 128 1 2	
	{
		map textures/bus_ca1/particles2.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod Scale .3 .3
		tcMod Scroll 0 -.03
	}
}

textures/bus_ca1/moats
	{
	qer_alphafunc greater 0.5
	qer_trans 0.99	
	qer_editorimage textures/bus_ca1/particles.tga
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip	
	cull none
	deformVertexes bulge 128 1 2	
	{
		map textures/bus_ca1/particles.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod Scale .3 .3
		tcMod Scroll 0 .03
	}
}

textures/bus_ca1/moats_s2
	{
	qer_alphafunc greater 0.5
	qer_trans 0.99
	qer_editorimage textures/bus_ca1/particles2.tga
	q3map_bounceScale 0	
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip	
	cull none
	deformVertexes bulge 128 1 2	
	{
		map textures/bus_ca1/particles2.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod Scroll 0 -.04	
	}
}

textures/bus_ca1/moats_s1
	{
	qer_alphafunc greater 0.5
	qer_trans 0.99
	qer_editorimage textures/bus_ca1/particles.tga
	q3map_bounceScale 0	
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip	
	cull none
	deformVertexes bulge 128 1 2	
	{
		map textures/bus_ca1/particles.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod Scroll 0 .04	
	}
}

textures/bus_ca1/logo
{
		qer_editorimage textures/bus_ca1/station_logo.tga
    surfaceparm nomarks
  	nopicmip
	{
		map textures/bus_ca1/station_logo.tga
		rgbGen identity
	}
	{
		map textures/bus_ca1/ref_tile.jpg
		blendFunc add  		
		tcGen environment
		rgbGen identity
		tcmod scale 1 1       
	}
	{
		map textures/bus_ca1/station_logo.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

// RUNES

textures/bus_ca1/bus_q1_rune1
{
	qer_editorimage textures/bus_ca1/bus_q1_rune1.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	polygonOffset 
	sort 6
	{
		map textures/bus_ca1/bus_q1_rune1.tga
    blendfunc blend
    rgbgen oneMinusVertex
	}
	{
		map textures/bus_ca1/bus_q1_rune1_blend.tga
		blendfunc add
    rgbGen wave sin 0.5 0.4 0 0.3
	}    		 
}

textures/bus_ca1/bus_q1_rune2
{
	qer_editorimage textures/bus_ca1/bus_q1_rune2.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	polygonOffset 
	sort 6
	{
		map textures/bus_ca1/bus_q1_rune2.tga
    blendfunc blend
    rgbgen oneMinusVertex
	}
	{
		map textures/bus_ca1/bus_q1_rune2_blend.tga
		blendfunc add
    rgbGen wave sin 0.5 0.4 0.1 0.31
	}    		 
}

textures/bus_ca1/bus_q1_rune3
{
	qer_editorimage textures/bus_ca1/bus_q1_rune3.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	polygonOffset 
	sort 6
	{
		map textures/bus_ca1/bus_q1_rune3.tga
    blendfunc blend
    rgbgen oneMinusVertex
	}
	{
		map textures/bus_ca1/bus_q1_rune3_blend.tga
		blendfunc add
    rgbGen wave sin 0.5 0.4 0.2 0.32
	}    		 
}

textures/bus_ca1/bus_q1_rune4
{
	qer_editorimage textures/bus_ca1/bus_q1_rune4.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	polygonOffset 
	sort 6
	{
		map textures/bus_ca1/bus_q1_rune4.tga
    blendfunc blend
    rgbgen oneMinusVertex
	}
	{
		map textures/bus_ca1/bus_q1_rune4_blend.tga
		blendfunc add
    rgbGen wave sin 0.5 0.4 0.3 0.33
	}    		 
}

textures/bus_ca1/bus_q1_rune5
{
	qer_editorimage textures/bus_ca1/bus_q1_rune5.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	polygonOffset 
	sort 6
	{
		map textures/bus_ca1/bus_q1_rune5.tga
    blendfunc blend
    rgbgen oneMinusVertex
	}
	{
		map textures/bus_ca1/bus_q1_rune5_blend.tga
		blendfunc add
    rgbGen wave sin 0.5 0.4 0.4 0.34
	}    		 
}

//QL shaders

textures/ql/telex
{
	qer_editorimage textures/ql/telex.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	polygonOffset 
	sort 6
	{
		map textures/ql/telex.tga
		blendfunc add
	}
}